-- CNO_Monk_GG_Fix
-- Author: MadManCam
-- DateCreated: 10/31/2017 7:16:50 PM
--------------------------------------------------------------

-- GREAT GENERALS ==================================================================================================================
INSERT INTO Types
			(Type,											Kind)
VALUES		('CNO_MODIFIER_ADJUST_OWNER_COMBAT_STRENGTH',	'KIND_MODIFIER');

INSERT INTO DynamicModifiers
			(ModifierType,									CollectionType,			EffectType)
VALUES		('CNO_MODIFIER_ADJUST_OWNER_COMBAT_STRENGTH',	'COLLECTION_OWNER',		'EFFECT_ADJUST_UNIT_FRIENDLY_TERRITORY_COMBAT');

INSERT INTO GreatPersonIndividualBirthModifiers
			(GreatPersonIndividualType,						ModifierId)
VALUES		('GREAT_PERSON_INDIVIDUAL_BOUDICA',				'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_HANNIBAL_BARCA',		'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_SUN_TZU',				'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_AETHELFLAED',			'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_EL_CID',				'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_GENGHIS_KHAN',		'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_GUSTAVUS_ADOLPHUS',	'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_JOAN_OF_ARC',			'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH'),
			('GREAT_PERSON_INDIVIDUAL_ANA_NZINGA',			'CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH');

INSERT INTO Modifiers
			(ModifierId,								ModifierType)
VALUES		('CNO_GREATPERSON_WARRIOR_MONK_STRENGTH',	'CNO_MODIFIER_ADJUST_OWNER_COMBAT_STRENGTH');


INSERT INTO Modifiers
			(ModifierId,													ModifierType,								SubjectRequirementSetId)
VALUES		('CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH',		'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER',	'CNO_GG_AOE_WARRIOR_MONK_REQUIREMENTS');


INSERT INTO ModifierArguments
			(ModifierId,													Name,			Value)
VALUES		('CNO_GREATPERSON_WARRIOR_MONK_STRENGTH',						'Amount',		5),
			('CNO_GREATPERSON_COMBAT_STRENGTH_AOE_WARRIOR_MONK_ATTACH',		'ModifierId',	'CNO_GREATPERSON_WARRIOR_MONK_STRENGTH');

INSERT INTO RequirementSets
			(RequirementSetId,							RequirementSetType)
VALUES		('CNO_GG_AOE_WARRIOR_MONK_REQUIREMENTS',	'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements
			(RequirementSetId,							RequirementId)
VALUES		('CNO_GG_AOE_WARRIOR_MONK_REQUIREMENTS',	'CNO_GG_REQUIRES_MONK'),
			('CNO_GG_AOE_WARRIOR_MONK_REQUIREMENTS',	'AOE_REQUIRES_LAND_ADJACENCY');

INSERT INTO Requirements
			(RequirementId,				RequirementType)
VALUES		('CNO_GG_REQUIRES_MONK',	'REQUIREMENT_UNIT_PROMOTION_CLASS_MATCHES');

INSERT INTO RequirementArguments
			(RequirementId,				Name,					Value)
VALUES		('CNO_GG_REQUIRES_MONK',	'UnitPromotionClass',	'PROMOTION_CLASS_MONK');
-- /GREAT GENERALS =====================================================================================================================

-- Add monk class to some of the melee abilites and modifiers.

-- BUILDING MODIFIERS ==================================================================================================================
INSERT INTO RequirementSetRequirements
			(RequirementSetId,					RequirementId)
VALUES		('BARRACKS_UNIT_REQUIREMENTS',		'REQUIREMENT_UNIT_IS_MONK');


INSERT INTO Requirements
			(RequirementId,						RequirementType)
VALUES		('REQUIREMENT_UNIT_IS_MONK',		'REQUIREMENT_UNIT_PROMOTION_CLASS_MATCHES');


INSERT INTO RequirementArguments
			(RequirementId,					Name,						Value)
VALUES		('REQUIREMENT_UNIT_IS_MONK',	'UnitPromotionClass',		'PROMOTION_CLASS_MONK');
-- /BUILDING MODIFIERS ==================================================================================================================


-- PROMOTION MODIFIERS ==================================================================================================================
INSERT INTO RequirementSetRequirements
			(RequirementSetId,						RequirementId)
VALUES		('SCHILTRON_REQUIREMENTS',				'OPPONENT_IS_PROMOTION_CLASS_MONK'),
			('THRUST_REQUIREMENTS',					'OPPONENT_IS_PROMOTION_CLASS_MONK'),
			('BATTLECRY_OPPONENT_REQUIREMENTS',		'OPPONENT_IS_PROMOTION_CLASS_MONK');


INSERT INTO Requirements
			(RequirementId,							RequirementType)
VALUES		('OPPONENT_IS_PROMOTION_CLASS_MONK',	'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES');


INSERT INTO RequirementArguments
			(RequirementId,							Name,						Value)
VALUES		('OPPONENT_IS_PROMOTION_CLASS_MONK',	'UnitPromotionClass',		'PROMOTION_CLASS_MONK');
-- /PROMOTION MODIFIERS ================================================================================================================




-- POLICY MODIFIERS ====================================================================================================================
INSERT INTO Modifiers
			(ModifierId,											ModifierType)
VALUES		('AGOGE_ANCIENT_WARRIOR_MONK_PRODUCTION',				'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('AGOGE_CLASSICAL_WARRIOR_MONK_PRODUCTION',				'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('FEUDALCONTRACT_MEDIEVAL_WARRIOR_MONK_PRODUCTION',		'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('FEUDALCONTRACT_RENAISSANCE_WARRIOR_MONK_PRODUCTION',	'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('GRANDEARMEE_INDUSTRIAL_WARRIOR_MONK_PRODUCTION',		'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('GRANDEARMEE_MODERN_WARRIOR_MONK_PRODUCTION',			'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('MILITARYFIRST_ATOMIC_WARRIOR_MONK_PRODUCTION',		'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION'),
			('MILITARYFIRST_INFORMATION_WARRIOR_MONK_PRODUCTION',	'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_TAG_ERA_PRODUCTION');



INSERT INTO ModifierArguments
			(ModifierId,											Name,					Value,						Extra)
VALUES		('AGOGE_ANCIENT_WARRIOR_MONK_PRODUCTION',				'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('AGOGE_ANCIENT_WARRIOR_MONK_PRODUCTION',				'EraType',				'ERA_ANCIENT',				-1),
			('AGOGE_ANCIENT_WARRIOR_MONK_PRODUCTION',				'Amount',				50,							-1),

			('AGOGE_CLASSICAL_WARRIOR_MONK_PRODUCTION',				'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('AGOGE_CLASSICAL_WARRIOR_MONK_PRODUCTION',				'EraType',				'ERA_CLASSICAL',			-1),
			('AGOGE_CLASSICAL_WARRIOR_MONK_PRODUCTION',				'Amount',				50,							-1),

			('FEUDALCONTRACT_MEDIEVAL_WARRIOR_MONK_PRODUCTION',		'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('FEUDALCONTRACT_MEDIEVAL_WARRIOR_MONK_PRODUCTION',		'EraType',				'ERA_MEDIEVAL',				-1),
			('FEUDALCONTRACT_MEDIEVAL_WARRIOR_MONK_PRODUCTION',		'Amount',				50,							-1),

			('FEUDALCONTRACT_RENAISSANCE_WARRIOR_MONK_PRODUCTION',	'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('FEUDALCONTRACT_RENAISSANCE_WARRIOR_MONK_PRODUCTION',	'EraType',				'ERA_RENAISSANCE',			-1),
			('FEUDALCONTRACT_RENAISSANCE_WARRIOR_MONK_PRODUCTION',	'Amount',				50,							-1),

			('GRANDEARMEE_INDUSTRIAL_WARRIOR_MONK_PRODUCTION',		'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('GRANDEARMEE_INDUSTRIAL_WARRIOR_MONK_PRODUCTION',		'EraType',				'ERA_INDUSTRIAL',			-1),
			('GRANDEARMEE_INDUSTRIAL_WARRIOR_MONK_PRODUCTION',		'Amount',				50,							-1),

			('GRANDEARMEE_MODERN_WARRIOR_MONK_PRODUCTION',			'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('GRANDEARMEE_MODERN_WARRIOR_MONK_PRODUCTION',			'EraType',				'ERA_MODERN',				-1),
			('GRANDEARMEE_MODERN_WARRIOR_MONK_PRODUCTION',			'Amount',				50,							-1),

			('MILITARYFIRST_ATOMIC_WARRIOR_MONK_PRODUCTION',		'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('MILITARYFIRST_ATOMIC_WARRIOR_MONK_PRODUCTION',		'EraType',				'ERA_ATOMIC',				-1),
			('MILITARYFIRST_ATOMIC_WARRIOR_MONK_PRODUCTION',		'Amount',				50,							-1),

			('MILITARYFIRST_INFORMATION_WARRIOR_MONK_PRODUCTION',	'UnitPromotionClass',	'PROMOTION_CLASS_MONK',		-1),
			('MILITARYFIRST_INFORMATION_WARRIOR_MONK_PRODUCTION',	'EraType',				'ERA_INFORMATION',			-1),
			('MILITARYFIRST_INFORMATION_WARRIOR_MONK_PRODUCTION',	'Amount',				50,							-1);



INSERT INTO PolicyModifiers
			(PolicyType,					ModifierId)
VALUES		('POLICY_AGOGE',				'AGOGE_ANCIENT_WARRIOR_MONK_PRODUCTION'),
			('POLICY_AGOGE',				'AGOGE_CLASSICAL_WARRIOR_MONK_PRODUCTION'),
			('POLICY_FEUDAL_CONTRACT',		'FEUDALCONTRACT_MEDIEVAL_WARRIOR_MONK_PRODUCTION'),
			('POLICY_FEUDAL_CONTRACT',		'FEUDALCONTRACT_RENAISSANCE_WARRIOR_MONK_PRODUCTION'),
			('POLICY_GRANDE_ARMEE',			'GRANDEARMEE_INDUSTRIAL_WARRIOR_MONK_PRODUCTION'),
			('POLICY_GRANDE_ARMEE',			'GRANDEARMEE_MODERN_WARRIOR_MONK_PRODUCTION'),
			('POLICY_MILITARY_FIRST',		'MILITARYFIRST_ATOMIC_WARRIOR_MONK_PRODUCTION'),
			('POLICY_MILITARY_FIRST',		'MILITARYFIRST_INFORMATION_WARRIOR_MONK_PRODUCTION');
-- /POLICY MODIFIERS ===================================================================================================================

-- UNIT ABILITIY CLASS TAGS ============================================================================================================
INSERT INTO TypeTags
			(Type,									Tag)
VALUES		('ABILITY_ANTI_SPEAR',					'CLASS_WARRIOR_MONK'),
			('ABILITY_FASCISM_ATTACK_BUFF',			'CLASS_WARRIOR_MONK'),
			('ABILITY_COMMUNISM_DEFENSE_BUFF',		'CLASS_WARRIOR_MONK');

-- Add Spear of Fionn Ability if Vikings DLC is enabled.
CREATE TRIGGER CNO_VikingsDLC 
AFTER INSERT ON Types
WHEN NEW.Type = 'ABILITY_SPEAR_OF_FIONN'
BEGIN
INSERT INTO TypeTags
				(Type,									Tag)
	VALUES		('ABILITY_SPEAR_OF_FIONN',				'CLASS_WARRIOR_MONK');
END;
-- /UNIT ABILITIY CLASS TAGS ===========================================================================================================

